Package org.springframework.web.servlet.mvc.condition

# Interface NameValueExpression<T>

Type Parameters:
  `T` - the value type

public interface NameValueExpression<T>
A contract for `"name!=value"` style expression used to specify request parameters and request header conditions in `@RequestMapping`.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  - `RequestMapping.params()`
  - `RequestMapping.headers()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`T`
`getValue()`
`boolean`
`isNegated()`

## Method Details

### getName

String getName()

### getValue

@Nullable T getValue()

### isNegated

boolean isNegated()